%define base_name	bofh
%define name		fortune-%{base_name}
%define version		1.2
%define release		%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	BOFH excuses fortune
License:	Public Domain
Group:		Toys
Source:		%{base_name}-%{version}.tar.bz2
URL:		http://www.cs.wisc.edu/~ballard/bofh
BuildArch:	noarch
Requires:	fortune-mod
BuildRequires:	fortune-mod

%description
This is a set of BOFH-style excuses.

%prep
%setup -q -n %{base_name}-%{version}

%build
perl -ni -e 'print "BOFH excuse #" . ++$i . ":\n\n$_%\n"' excuses
/usr/sbin/strfile excuses

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes
install -m 644 excuses %{buildroot}%{_gamesdatadir}/fortunes/%{base_name}
install -m 644 excuses.dat %{buildroot}%{_gamesdatadir}/fortunes/%{base_name}.dat

%files
%defattr(-,root,root)
%{_gamesdatadir}/fortunes/*




%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 350782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 shlomif <shlomif> 1.2-1.mga2
+ Revision: 182810
- New version - 1.2 - sync with Debian

* Tue Jul 19 2011 guillomovitch <guillomovitch> 1.0-8.mga2
+ Revision: 126570
- imported package fortune-bofh

